Gossamer Forum
Home : Products : Gossamer Links : Discussions :

Upgrade Question

Quote Reply
Upgrade Question
Now I realise that I run the risk here of embarrasing myself .. but what the heck ... I'll do it anyway Blush.

I am just about ready to take the plunge and upgrade and am a little confused about the process. In particular I have a number of custom fields in my present 1.x database. I have read the readme file but am still confused about how to upgrade - obviously keeping all my current data and fields etc. Do I need to edit some of the script files to add the extra fields that I currently have or is there an easier process.

A 'step by step' procedure would be extremely helpful, not only for myself but for others who are in the same boat.

I am also very interested in the new 'modify' tools. Although I can't find anywhere how this specifically works, I imagine that if a signed up member has added links and links directly to 'modify.cgi' then all his links will be shown to him? Is this correct?

Also, how would one go about 'manually' giving ownership to people of their links that are currently in the database?

Lots of questions ..... preceded by lots of confusion Tongue


Regards,


Clint.

--------------------------
http://www.AffiliatesDirectory.com - Affiliate Programs Directory
Quote Reply
Re: Upgrade Question In reply to
Clint:

My database (in 1.3) also had a number of custom fields- 35 or so. Some contained a lot of data (1-2 k in a field) so I was pretty concerned, too, when I did the upgrade. I did the upgrade around Beta 1- it can be done, and fairly easily.

First, I would suggest doing it off-line, for the obvious reasons. I would HIGHLY suggest using the table prefix option (in my case, I used "new_" but anything will do.) This way, you keep your old data, and have a whole set of tables for the new database.

You will find in upgrading that there is a wonderful import utility. Seems like all the bugs are worked out, and it should run fine. If not, the original data is still there. So if you have to make a change, you can do that and re-import.

Seems like it will be scary, but it is not too bad... just make sure to use the prefix!

good luck!

dave

Quote Reply
Re: Upgrade Question In reply to
The install is pretty straight forward. Once you set up your new database (or use a prefix on the new links if you have to share one with your 1.1x links) you just go to the "import" area, and follow the prompts.

To preserve the original ID's, you need to leave the defaults checked, and also check "Straight Import".

The process should run without a hitch. Even if it doesn't, since you've used all new tables, the worst that will happen is you delete the data in those tables and try again.

PUGDOG®
PUGDOG® Enterprises, Inc.
FAQ: http://pugdog.com/FAQ


Quote Reply
Re: Upgrade Question In reply to
I'm upgrading from Beta5 to RC2, do I need to re-import the mysql database? When attempting to build, I get this error:

Can't call method "rows" on an undefined value at /home/Mottster/www/cgi-bin/links2/admin/GT/SQL/Table.pm line 624



Thanks,

Sean Mott
http://www.weathertalk.net
Internet's best weather search engine
Quote Reply
Re: Upgrade Question In reply to
You shouldn't have to re-import, but you need to run the changes Alex posted in the update message.

The error you are getting sounds like something else. You might want to try re-installing and making sure your permissions and installation options are set correctly.

PUGDOG®
PUGDOG® Enterprises, Inc.
FAQ: http://pugdog.com/FAQ


Quote Reply
Re: Upgrade Question In reply to
Yeah, the thread (another update) has the fix to that issue. Appericate the help!


Thanks,

Sean Mott
http://www.weathertalk.net
Internet's best weather search engine